/*
  gssd.h

  Shared interface between char driver gssd and gssd daemon.

  Dug Song <dugsong@UMICH.EDU>

  $Id: gssd.h,v 1.1 2000/03/28 16:43:31 andros Exp $
*/

#ifndef GSSD_H
#define GSSD_H

#define GSSD_DEVICE		"/dev/gssd"

#define GSSD_DBG	1	/* XXX - enable debugging for now. */

#ifdef GSSD_DBG
#define gssd_printk(args...) do { printk(args); } while(0)
#else 
#define gssd_printk(args...) do ; while (0)
#endif /* GSSD_DBG */

enum gssd_msg_type {
  GSSD_UID_TO_NAME = 0,
  GSSD_GID_TO_NAME = 1,
  GSSD_NAME_TO_UID = 2,
  GSSD_NAME_TO_GID = 3,
  GSSD_INIT_SEC_CTX = 4,
  GSSD_ACPT_SEC_CTX = 5
};

struct gssd_msg_hdr {
  u_int	num;		/* msg number */
  u_int type;		/* msg type */
  u_int len;		/* data length */
};

int gssd_upcall(int type, u_char *ibuf, int ilen, u_char *obuf, int olen);

#endif /* GSSD_H */


