/* NOTE: 
* i have changed the following files
*		kernel/ksyms.c
*		kernel/super.c
*		include/linux/inode.h
*/

#ifndef PSEUDO_H
#define PSEUDO_H
#include <linux/dcache.h>

#define PSEUDO_FS_ROOT_INO 2
/* arbitrary number of directories allowed in each pseudo fs dir */
#define MAX_NFSV4_PSEUDO_ENTRIES	8	
/* arbitrary total number of directory entries allowed in the pseudo fs */
#define TOTAL_NFSV4_PSEUDO_ENTRIES	128	
#define TOTAL_NFSV4_PSEUDO_INODES	32	

#define IS_PSEUDO(d)  (d)->d_flags & DCACHE_NFSDV4_PSEUDO_FS 

struct pseudo_fs_entry_dot {
	u32 inode;      /* Inode number */
	u32  name_len;   /* Name length */
	char  name[4];  /* terminiated . or.. */
};

typedef struct pseudo_fs_entry_dot pseudo_fs_entry_dot;

struct pseudo_fs_entry {
	u32 inode;      /* Inode number */
	u32  name_len;   /* Name length not including null terminiator */
	char  *name; /* Null terminated file name */
};

typedef struct pseudo_fs_entry pseudo_fs_entry;

#endif /* PSEUDO_H*/
